CRMchat APIBeta
Telegram APIHelp

help.getRecentMeUrls

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/help.getRecentMeUrls

Get recently used t.me links. When installing official applications from "Download Telegram" buttons present in t.me pages, a referral parameter is passed to applications after installation. If, after downloading the application, the user creates a new account (instead of logging into an existing one), the referral parameter should be imported using this method, which returns the t.me pages the user recently opened, before installing Telegram.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get recently used t.me links. When installing official applications from "Download Telegram" buttons present in t.me pages, a referral parameter is passed to applications after installation. If, after downloading the application, the user creates a new account (instead of logging into an existing one), the referral parameter should be imported using this method, which returns the t.me pages the user recently opened, before installing Telegram.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/help.getRecentMeUrls" \  -H "Content-Type: application/json" \  -d '{    "params": {      "referer": "string"    }  }'
{  "result": {    "_": "help.recentMeUrls",    "urls": [      {        "_": "recentMeUrlUnknown",        "url": "string"      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}